#!/bin/sh
set -e

KUMATUXBIN=$KUMATUXSETUPBIN KUMATUXLINKS=$KUMATUXSETUPLINKS KUMATUXROOT=$KUMATUXSETUPROOT KUMATUXTESTLINKS=$KUMATUXSETUPTESTLINKS KUMATUXTESTROOT=$KUMATUXSETUPTESTROOT . $KUMATUXSETUPBIN/kumatux.org-vars

for DIR1 in $KUMATUXSETUPROOT $KUMATUXSETUPTESTROOT
do
    for DIRECTORY in $KUMATUXROOTDIRS
    do
	if [ ! -d $DIR1/$DIRECTORY ]
	then
            mkdir -p $DIR1/$DIRECTORY
	fi
    done

    for DIRECTORY in $KUMATUXPYTHONVERSIONS
    do
	if [ ! -d $DIR1/$KUMATUXROOTPYTHON/$DIRECTORY ]
	then
	    mkdir -p $DIR1/$KUMATUXROOTPYTHON/$DIRECTORY
	fi
    done
done

#for PYVER in $KUMATUXPYTHONVERSIONS
#do
#    if [ ! -d /usr/lib/python$PYVER/site-packages ]
#    then
#	mkdir -p /usr/lib/python$PYVER/site-packages
#    fi
#done
